Get all monitors

View as Markdown
Gets all monitors.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspacestringOptional
Return only results found in the given workspace ID.
activebooleanOptionalDefaults to false
If true, return only active monitors.
ownerintegerOptional
Return only results that belong to the given user ID.
collectionUidstringOptionalformat: "uid"
Filter the results by a collection's unique ID.
environmentUidstringOptionalformat: "uid"
Filter the results by an environment's unique ID.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional<=25Defaults to 25
The maximum number of rows to return in the response, up to a maximum value of 25. Any value greater than 25 returns a 400 Bad Request response.

Response

Successful Response
monitorslist of objects
A list of monitors.
metaobject
The response's meta information for paginated results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error